/*
 * Copyright (c) 2024 Oray Inc. All rights reserved.
 *
 * No Part of this file may be reproduced, stored
 * na retrieval system, or transmitted, in any form, or by any means,
 * electronic, mechanical, photocopying, recording, or otherwise,
 * without the prior consent of Oray Inc.
 *
 * @author wuwenze
 */

package sunapi

import (
	"sunlogin-api-example-golang/sunapi/dto"
	"testing"
)

func TestSunloginAuthClient_GetAuthorizationCode(t *testing.T) {
	authClient := &SunloginAuthClient{
		Host:      "http://localhost:8000",
		ApiKey:    "<yourApiKey>",
		ApiSecret: "<yourApiSecret>",
	}

	// 获取授权码
	authCode, err := authClient.GetAuthorizationCode(&dto.GetAuthorizationCodeRequest{
		Method: "GET",
		Path:   "/remotes",
	})
	if err != nil {
		t.Fatalf("GetAuthorizationCode fail: %v", err)
	}
	t.Logf("GetAuthorizationCode successful: %v", authCode)
}