/*
 * Copyright (c) 2024 Oray Inc. All rights reserved.
 *
 * No Part of this file may be reproduced, stored
 * na retrieval system, or transmitted, in any form, or by any means,
 * electronic, mechanical, photocopying, recording, or otherwise,
 * without the prior consent of Oray Inc.
 *
 * @author wuwenze
 */

package sunapi

import "testing"

func TestEncryptAndDecrypt(t *testing.T) {
	cipher := &SunloginApiCipher{AesKey: []byte("vflzqa8qy3fy091np1h2fewktj1yyx58")}
	// 加密
	encrypt, err := cipher.Encrypt([]byte("向日葵，国民远控，守护国民安全"))
	if err != nil {
		t.Fatal(err)
	}
	t.Logf("encrypt = %s", encrypt)

	// 解密
	decrypt, err := cipher.Decrypt(encrypt)
	if err != nil {
		t.Fatal(err)
	}
	t.Logf("decrypt = %s", decrypt)
}