/*
 * Copyright (c) 2024 Oray Inc. All rights reserved.
 *
 * No Part of this file may be reproduced, stored
 * na retrieval system, or transmitted, in any form, or by any means,
 * electronic, mechanical, photocopying, recording, or otherwise,
 * without the prior consent of Oray Inc.
 *
 * @author wuwenze
 */

package dto

// RemoteControlRequest 发起远控请求参数
type RemoteControlRequest struct {
	RemoteId   string `json:"remoteid"`   // 被控设备ID
	Fastcode   string `json:"fastcode"`   // 被控识别码（与设备ID二选1）
	VerifyCode string `json:"verifycode"` // 被控验真码（仅选择被控识别码远控时需要传值）
}

// LocateHostRequest 定位主机请求参数
type LocateHostRequest struct {
	RemoteId    string `json:"remoteid"`    // 设备ID
	NeedControl string `json:"needcontrol"` // 是否需要拉起远控(1是，0否)
}